package com.sincere.morningcheck.common;

public enum ImgType {

    //    hand
    //    口部图片类型名：mouth
    //    眼部图片类型名： face
    //    接送图片类型名： card

    hand(0,"hand"),
    mouth(1,"mouth"),
    face(2,"face"),
    card(3,"card");

    private final int type;
    private final String value;


    ImgType(int type, String value) {
        this.type = type;
        this.value = value;
    }

    public int getType() {
        return type;
    }

    public String getValue() {
        return value;
    }
}
