package com.sincere.morningcheck.config;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class CustomConfiguration implements WebMvcConfigurer {
    @Autowired
    private MessageProperties config; //用来获取file-message.properties配置文件中的信息
    public void addResourceHandlers(ResourceHandlerRegistry registry) {
        //上传的图片在D盘下的E:/MorningRobot/UploadData/images/目录下，访问路径如：http://localhost:8081/images/1.jpg
        //其中images表示访问的前缀。"file:E:/MorningRobot/UploadData/images/"是文件真实的存储路径
        registry.addResourceHandler("/images/**").addResourceLocations("file:"+config.getUpPath());
    }
}
