package com.sincere.morningcheck.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;



/**
 * 接口使用类   检查报告
 */
@Data
@ApiModel
public class ApiStudentCheckReport {

    @ApiModelProperty(name="id",value = "检查报告标识")
    private Integer id;

    @ApiModelProperty(name="isMorningCheck",value = "判断是否有晨检")
    private Boolean isMorningCheck;

    @ApiModelProperty(name="student_id",value = "学生标识")
    private Integer student_id;

    @ApiModelProperty(name="cardNo",value = "学生卡号")
    private String cardNo;

    @ApiModelProperty(name="temperature",value = "温度")
    private String temperature; //json字符串

    @ApiModelProperty(name="CheckTime",value = "检查报告时间")
    private String checkTime;

    @ApiModelProperty(name="checkResultObj",value = "检查报告")
    private CheckResult checkResultObj;
}
