package com.sincere.morningcheck.model;

import lombok.Data;

import java.util.Date;

@Data
/**
 * 检查报告历史记录表
 */
public class StudentCheckReportHis {
    private Integer id;

    /**
     * 检查报告表ID
     */
    private Integer check_id;

    private Integer student_id;

    private String cardNo;

    /**
     * 人为判别结果
     */
    private String checkResult;

    /**
     * 机器判别结果
     */
    private String robotResult;

    private Date checkTime;

    private Date inTime;

    private String access;

    private String temperature;

    private String handImgId;

    private String mouthImgId;

    private String eyeImgId;
}
