package com.sincere.morningcheck.service;


import com.sincere.morningcheck.common.ServerResponse;
import com.sincere.morningcheck.model.ApiStudent;
import com.sincere.morningcheck.model.ApiStudentCheckReport;
import com.sincere.morningcheck.model.StudentCheckReport;
import com.sincere.morningcheck.model.StudentCheckReportHis;

import java.util.List;

public interface StudentCheckReportService {

    int insert(StudentCheckReport studentCheckReport);

    int insertCheckHis(StudentCheckReportHis studentCheckReportHis);

    /**
     * 根据卡号和学生标识修改学生检查报告信息
     * @param studentCheckReport
     * @return
     */
    int updateByStudent(StudentCheckReport studentCheckReport);

    StudentCheckReport getCheckReport(Integer studentId);

    ServerResponse<ApiStudentCheckReport> getCheckReport(String stuUserId);

    ServerResponse getCheckReportBySchool(Integer schoolId,String checkTime);

    ServerResponse getCheckExReportByGrade(Integer schoolId,Integer gradeId,String checkTime);

    ServerResponse<List<ApiStudent>> getCheckReportData(Integer schoolId, String checkTime,int gradeId);
}
