package com.sincere.morningcheck.service.impl;

import com.sincere.morningcheck.dao.StudentDao;
import com.sincere.morningcheck.model.Student;
import com.sincere.morningcheck.service.StudentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class StudentServiceImpl implements StudentService {

    @Autowired
    StudentDao studentDao;


    @Override
    public List<Student> getStudents(Integer schoolId) {
        return studentDao.getStudents(schoolId);
    }

    @Override
    public Student getStudentByCardNo(String cardNo) {
        return studentDao.getStudentByCardNo(cardNo);
    }

    @Override
    public void swipeCard(Map<String, Object> params) {

        studentDao.swipeCard(params);
    }

    @Override
    public String getStuUserId(String num,String schoolId) {
        return studentDao.getStuUserId(num,schoolId);
    }

    @Override
    public List<String> getOpenId(String stuUserId, String schoolId) {
        return studentDao.getOpenId(stuUserId,schoolId);
    }
}
