package com.sincre.springboot.ApiModel;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 红外所需要的类
 */

@JsonInclude(JsonInclude.Include.NON_EMPTY)
@ApiModel
public class TuYaInfrared {

    /**
     * 类型ID
     */
    @ApiModelProperty(name = "category_id",value = "类型ID")
    private String category_id;

    public String getCategory_id() {
        return category_id;
    }

    public void setCategory_id(String category_id) {
        this.category_id = category_id;
    }

    public String getCategory_name() {
        return category_name;
    }

    public void setCategory_name(String category_name) {
        this.category_name = category_name;
    }


    public String getBrand_id() {
        return brand_id;
    }

    public void setBrand_id(String brand_id) {
        this.brand_id = brand_id;
    }

    public String getBrand_name() {
        return brand_name;
    }

    public void setBrand_name(String brand_name) {
        this.brand_name = brand_name;
    }

    public String getRemote_index() {
        return remote_index;
    }

    public void setRemote_index(String remote_index) {
        this.remote_index = remote_index;
    }

    /**
     * 类型名称
     */
    @ApiModelProperty(name = "category_name",value = "类型名称")
    private String category_name;

    /**
     * 商品标识
     * @return
     */
    @ApiModelProperty(name = "brand_id",value = "商标标识")
    private String brand_id;

    /**
     * 商品名称
     */
    @ApiModelProperty(name="brand_name",value = "商品名称")
    private String brand_name;

    /**
     * 遥控索引
     */
    @ApiModelProperty(name="remote_index",value = "遥控索引")
    private String remote_index;
    /**
     * 遥控标识
     */
    @ApiModelProperty(name = "remote_id",value = "遥控标识")
    private String remote_id;

    public String getRemote_id() {
        return remote_id;
    }

    public void setRemote_id(String remote_id) {
        this.remote_id = remote_id;
    }

    public String getRemote_name() {
        return remote_name;
    }

    public void setRemote_name(String remote_name) {
        this.remote_name = remote_name;
    }

    /**
     * 遥控名称
     */
    @ApiModelProperty(name = "remote_name",value = "遥控名称")
    private String remote_name;

    public Codes getCodes() {
        return codes;
    }

    public void setCodes(Codes codes) {
        this.codes = codes;
    }

    @ApiModelProperty(name = "codes",value = "保存的红外信息")
    private Codes codes;

}
