package com.sincre.springboot.ApiModel;

import com.fasterxml.jackson.annotation.JsonInclude;

@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class UserInfo {

    /**
     * 国家码	必填项
     * */
    private String country_code;
    /**
     *  用户名  当用户名类型=1，用户名=mobile,当用户类型 = 2，用户名=email,当用户类型=3，用户名=username, 默认:3
     */
    private String username;
    /**
     * 用户密码，业务方md5加密	是
     * */
    private String password;
    /**
     * 昵称	否
     */
    private String nick_name;
    /**
     * 用户名类型,1:mobile,2:email,3:username,默认:3	否
     */
    private String username_type;

    public String getCountry_code() {
        return country_code;
    }

    public void setCountry_code(String country_code) {
        this.country_code = country_code;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getNick_name() {
        return nick_name;
    }

    public void setNick_name(String nick_name) {
        this.nick_name = nick_name;
    }

    public String getUsername_type() {
        return username_type;
    }

    public void setUsername_type(String username_type) {
        this.username_type = username_type;
    }
}
