package com.sincere.morningcheck.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 人为判断结果
 */
@Data
@ApiModel
public class CheckResult {

    @ApiModelProperty(name = "handNoEx",value = "00位，手足是否正常，true正常，false不正常")
    private Boolean handNoEx;

    @ApiModelProperty(name = "mouthNoEx",value = "01位，口腔是否正常，true正常，false不正常")
    private Boolean mouthNoEx;

    @ApiModelProperty(name = "noRedEye",value = "02位，true正常，false红眼")
    private Boolean noRedEye;

    @ApiModelProperty(name = "noFever",value = "03位，true正常，false发烧")
    private Boolean noFever;

    @ApiModelProperty(name = "noCrotchBig",value = "04位，true正常，false腮部肿大")
    private Boolean noCrotchBig;

    @ApiModelProperty(name = "noPoorSpirit",value = "05，true正常，false精神不佳")
    private Boolean noPoorSpirit;

    @ApiModelProperty(name = "noPharyngitis",value = "06，true正常，false咽炎")
    private Boolean noPharyngitis;

    @ApiModelProperty(name = "noTrauma",value = "07，true正常，false外伤")
    private Boolean noTrauma;

    @ApiModelProperty(name = "noCough",value = "08，true正常，false咳嗽")
    private Boolean noCough;

    @ApiModelProperty(name = "noNail",value = "09，true正常，false指甲过长")
    private Boolean noNail;

    @ApiModelProperty(name = "noToothDecay",value = "10，true正常，false蛀牙")
    private Boolean noToothDecay;

    @ApiModelProperty(name = "other",value = "true正常，false不正常")
    private Boolean other;
}
