package com.sincere.morningcheck.model;

import com.sincere.morningcheck.common.ImgType;
import lombok.Data;

import java.sql.Date;

@Data
public class FileEntity {

    /**
     * 头像ID（自增）
     */
    private Integer photoId;
    /**
     * 头像存储的位置（相对路径）
     */
    private String imgRePath;
    /**
     * 文件新名称
     */
    private String fileName;
    /**
     * 文件储存的类型
     */
    private ImgType imgType;
    /**
     * 文件旧名称
     */
    private String oldFileName;

    private Date inTime;
}
